window.addEventListener("load", db_aboutInit, true);

function db_aboutInit() {
	
	var gExtensionManager = Components.classes["@mozilla.org/extensions/manager;1"].getService(Components.interfaces.nsIExtensionManager);
	document.getElementById("extVersion").value = gExtensionManager.getItemForID("{D4DD63FA-01E4-46a7-B6B1-EDAB7D6AD389}").version;
	
	// Have to set this on load because for some reason the XML parser doesn't like the "&banner=false" part of the URL
	document.getElementById("kalloutPixel").setAttribute("src", "http://media.kallout.com/ads/banner.php?id=DownloadStatusbar&banner=false");
	
	window.removeEventListener("load", db_aboutInit, true);
}

function db_openLink(aPage) {
	
	// Open page in new tab
	var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService();
    var wmed = wm.QueryInterface(Components.interfaces.nsIWindowMediator);
    
    var win = wmed.getMostRecentWindow("navigator:browser");
    if (!win)
    	win = window.openDialog("chrome://browser/content/browser.xul", "_blank", "chrome,all,dialog=no", aPage, null, null);
    else {
    	var content = win.document.getElementById("content");
    	content.selectedTab = content.addTab(aPage);	
    }
	
}

function clickKalloutButton() {
	
	document.getElementById('kalloutAddonFrame').setAttribute('style','opacity:1; background-color:white; width:1000px; height:800px; border:1px solid #ccc');
	
	// Scroll to the bottom of the window
	var scrollContainer = document.getElementById('scrollContainer');
	scrollContainer.scrollTop = scrollContainer.scrollHeight - scrollContainer.clientHeight;

}